Skip to navigation

Get billing invoice

View as Markdown

Retrieves the specified invoice.

This method retrieves a specific invoice by invoiceId. To find past invoices for an account, first use the listInvoices method to retrieve available invoices, optionally filtering by from_date and to_date. If no date range is specified, listInvoices returns invoices from the last 365 days. Then use the returned invoiceId with the get method to retrieve a specific invoice.

Note: If the pdfAvailable property in the response is set to true, you can download a PDF version of the invoice. To download the PDF, make the call again and change the value of the Accept property in the header to Accept: application/pdf.

Privileges required: account administrator

The response returns a list of charges and information about the charges. Quantities are usually shown as ‘unlimited’ or an integer. Amounts are shown in the currency set for the account.

Response The following table provides a description of the different chargeName property values. The information will grow as more chargeable items are added to the system.

chargeNameDescription
id_checkID Check Charge
in_person_signingIn Person Signing charge
envelopes IncludedSent Envelopes for the account
age_verifyAge verification check
ofacOFAC Check
id_confirmID confirmation check
student_authenticationSTAN PIN authentication check
wet_sign_faxPages for returning signed documents by fax
attachment_faxPages for returning attachments by fax
phone_authenticationPhone authentication charge
powerformsPowerForm envelopes sent
signer_paymentsPayment processing charge
outbound_faxSend by fax charge
bulk_recipient_envelopesBulk Recipient Envelopes sent
sms_authenticationsSMS authentication charge
saml_authenticationsSAML authentication charge
express_signer_certificateDocusign Express Certificate charge
personal_signer_certificatePersonal Signer Certificate charge
safe_certificateSAFE BioPharma Signer Certificate charge
seatsIncluded active seats charge
open_trust_certificateOpenTrust Signer Certificate charge

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

invoiceIdstringRequired
The ID of the invoice.

Response

Successful response.
amountstringOptional
The total amount of the purchase.
balancestringOptional
Reserved for Docusign.
dueDatestringOptional
Reserved for Docusign.
invoiceIdstringOptional
Reserved for Docusign.
invoiceItemslist of objectsOptional
Reserved for Docusign.
invoiceNumberstringOptional
Reserved for Docusign.
invoiceUristringOptional
Contains a URI for an endpoint that you can use to retrieve invoice information.
nonTaxableAmountstringOptional
pdfAvailablestringOptional
taxableAmountstringOptional

Errors

400
Bad Request Error